package Intalio::PrimaryUtils;

use Exporter qw( import );
our @EXPORT = qw(  IsRunAsRoot ClearScreen GetLoggingTime IsRunAsZimbra );

use strict;

sub IsRunAsRoot {
    return $< == 0 ? 1 : 0;
}

sub IsRunAsZimbra {
    return `whoami` =~ /zimbra/i;
}

sub ClearScreen {
    print "\033[2J"; 
    print "\033[0;0H";
}


sub GetLoggingTime {
    my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst)=localtime(time);
    my $nice_timestamp = sprintf ( "%04d%02d%02d %02d:%02d:%02d",
                                   $year+1900,$mon+1,$mday,$hour,$min,$sec);
    return $nice_timestamp;
}


1;
